SqlFragment (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class SqlFragment

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlFragment

All Implemented Interfaces:
  antlr.collections.AST, Serializable, ParameterContainer

    public class SqlFragment

extends Node
implements ParameterContainer

Represents an SQL fragment in the AST.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`SqlFragment()`

Method Summary
`void` | `addEmbeddedParameter(ParameterSpecification specification)` Adds a parameter specification for a parameter encountered within this node.
`ParameterSpecification[]` | `getEmbeddedParameters()` Retrieve all embedded parameter specifications.
`FromElement` | `getFromElement()`
`boolean` | `hasEmbeddedParameters()` Determine whether this node contains embedded parameters.
`boolean` | `hasFilterCondition()`
`void` | `setFromElement(FromElement fromElement)`
`void` | `setJoinFragment(JoinFragment joinFragment)`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.ParameterContainer
`setText`

Constructor Detail

### SqlFragment

    public SqlFragment()

Method Detail

### setJoinFragment

    public void setJoinFragment(JoinFragment joinFragment)

### hasFilterCondition

    public boolean hasFilterCondition()

### setFromElement

    public void setFromElement(FromElement fromElement)

### getFromElement

    public FromElement getFromElement()

### addEmbeddedParameter

    public void addEmbeddedParameter(ParameterSpecification specification)

  Description copied from interface: `ParameterContainer`
  Adds a parameter specification for a parameter encountered within this node. We use the term 'embedded' here because of the fact that the parameter was simply encountered as part of the node's text; it does not exist as part of a subtree as it might in a true AST.

  Specified by:
    `addEmbeddedParameter` in interface `ParameterContainer`
  Parameters:
    `specification` - The generated specification.

### hasEmbeddedParameters

    public boolean hasEmbeddedParameters()

  Description copied from interface: `ParameterContainer`
  Determine whether this node contains embedded parameters. The implication is that `ParameterContainer.getEmbeddedParameters()` is allowed to return null if this method returns false.

  Specified by:
    `hasEmbeddedParameters` in interface `ParameterContainer`
  Returns:
    True if this node contains embedded parameters; false otherwise.

### getEmbeddedParameters

    public ParameterSpecification[] getEmbeddedParameters()

  Description copied from interface: `ParameterContainer`
  Retrieve all embedded parameter specifications.

  Specified by:
    `getEmbeddedParameters` in interface `ParameterContainer`
  Returns:
    All embedded parameter specifications; may return null.
  See Also:
    `ParameterContainer.hasEmbeddedParameters()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.